1. WestNab
  2. MAMP - Troubleshooting
  3. Saturday, 29 June 2019

I have postponed upgrading MAMP 4.5, because it was working fine for what I wanted and the experiences of previous software updates breaking things.

I upgraded to MAMP 5.3 a couple of days ago, using this procedure = https://documentation.mamp.info/en/MAMP-Mac/Installation/

Now an important javascript and/or linked PHP function fails to work on my MAMP site, exactly where I haven't found yet, as it isn't generating any errors in the MAMP logs. So I wish I'd persisted in using 4.5. Going back to it now ...



Accepted Answer Pending Moderation
0
Votes
Undo

I have postponed upgrading MAMP 4.5, because it was working fine for what I wanted and the experiences of previous software updates breaking things.

I upgraded to MAMP 5.3 a couple of days ago, using this procedure = https://documentation.mamp.info/en/MAMP-Mac/Installation/

Now an important javascript and/or linked PHP function fails to work on my MAMP site, exactly where I haven't found yet, as it isn't generating any errors in the MAMP logs. So I wish I'd persisted in using 4.5. Going back to it now ...

I'm not sure about downgrading, but you could download the previous version and migrate your sites back into it. With regards to the PHP function not working, change your version of PHP you were using for that site to what it was, likely your issue if you weren't sure about that.

 

Also, whenever a big version is released, it's better to install it fresh and migrate your sites to it. Always cleaner, faster, and helps with troubleshooting.

  • Page :
  • 1


There are no replies made for this post yet.
Be one of the first to reply to this post!